package com.bocloud.cmp.model.hmc.pcm;

public class PartitionProcessor {
    private Integer poolId;
    private String mode;
    private Double maxVirtualProcessors;
    private Double maxProcUnits;
    private Double weight;
    private Double entitledProcCycles;
    private Double utilizedCappedProcCycles;
    private Double utilizedUnCappedProcCycles;
    private Double idleProcCycles;
    private Double donatedProcCycles;
    private Double runLatchInstructions;
    private Double runLatchProcCycles;
    private Double timeSpentWaitingForProcessor;
    private Double numOfTimesWaitedForProcessor;
    private Double timeSpentWaitingForDispatch;
    private Double numOfTimesDispatched;
    private Double totalInstructions;
    private Double totalInstructionsExecutionTime;

    public Integer getPoolId() {
        return poolId;
    }

    public void setPoolId(Integer poolId) {
        this.poolId = poolId;
    }

    public String getMode() {
        return mode;
    }

    public void setMode(String mode) {
        this.mode = mode;
    }

    public Double getMaxVirtualProcessors() {
        return maxVirtualProcessors;
    }

    public void setMaxVirtualProcessors(Double maxVirtualProcessors) {
        this.maxVirtualProcessors = maxVirtualProcessors;
    }

    public Double getMaxProcUnits() {
        return maxProcUnits;
    }

    public void setMaxProcUnits(Double maxProcUnits) {
        this.maxProcUnits = maxProcUnits;
    }

    public Double getWeight() {
        return weight;
    }

    public void setWeight(Double weight) {
        this.weight = weight;
    }

    public Double getEntitledProcCycles() {
        return entitledProcCycles;
    }

    public void setEntitledProcCycles(Double entitledProcCycles) {
        this.entitledProcCycles = entitledProcCycles;
    }

    public Double getUtilizedCappedProcCycles() {
        return utilizedCappedProcCycles;
    }

    public void setUtilizedCappedProcCycles(Double utilizedCappedProcCycles) {
        this.utilizedCappedProcCycles = utilizedCappedProcCycles;
    }

    public Double getUtilizedUnCappedProcCycles() {
        return utilizedUnCappedProcCycles;
    }

    public void setUtilizedUnCappedProcCycles(Double utilizedUnCappedProcCycles) {
        this.utilizedUnCappedProcCycles = utilizedUnCappedProcCycles;
    }

    public Double getIdleProcCycles() {
        return idleProcCycles;
    }

    public void setIdleProcCycles(Double idleProcCycles) {
        this.idleProcCycles = idleProcCycles;
    }

    public Double getDonatedProcCycles() {
        return donatedProcCycles;
    }

    public void setDonatedProcCycles(Double donatedProcCycles) {
        this.donatedProcCycles = donatedProcCycles;
    }

    public Double getTimeSpentWaitingForDispatch() {
        return timeSpentWaitingForDispatch;
    }

    public void setTimeSpentWaitingForDispatch(Double timeSpentWaitingForDispatch) {
        this.timeSpentWaitingForDispatch = timeSpentWaitingForDispatch;
    }

    public Double getTotalInstructions() {
        return totalInstructions;
    }

    public void setTotalInstructions(Double totalInstructions) {
        this.totalInstructions = totalInstructions;
    }

    public Double getTotalInstructionsExecutionTime() {
        return totalInstructionsExecutionTime;
    }

    public void setTotalInstructionsExecutionTime(Double totalInstructionsExecutionTime) {
        this.totalInstructionsExecutionTime = totalInstructionsExecutionTime;
    }

    public Double getRunLatchInstructions() {
        return runLatchInstructions;
    }

    public void setRunLatchInstructions(Double runLatchInstructions) {
        this.runLatchInstructions = runLatchInstructions;
    }

    public Double getRunLatchProcCycles() {
        return runLatchProcCycles;
    }

    public void setRunLatchProcCycles(Double runLatchProcCycles) {
        this.runLatchProcCycles = runLatchProcCycles;
    }

    public Double getTimeSpentWaitingForProcessor() {
        return timeSpentWaitingForProcessor;
    }

    public void setTimeSpentWaitingForProcessor(Double timeSpentWaitingForProcessor) {
        this.timeSpentWaitingForProcessor = timeSpentWaitingForProcessor;
    }

    public Double getNumOfTimesWaitedForProcessor() {
        return numOfTimesWaitedForProcessor;
    }

    public void setNumOfTimesWaitedForProcessor(Double numOfTimesWaitedForProcessor) {
        this.numOfTimesWaitedForProcessor = numOfTimesWaitedForProcessor;
    }

    public Double getNumOfTimesDispatched() {
        return numOfTimesDispatched;
    }

    public void setNumOfTimesDispatched(Double numOfTimesDispatched) {
        this.numOfTimesDispatched = numOfTimesDispatched;
    }
}
